#
# Conditional build:
%bcond_with	tests		# unit tests (broken as of 1.0.1)

Summary:	Tool for managing your YubiKey configuration
Summary(pl.UTF-8):	Narzędzie do zarządzania urządzeniami YubiKey
Name:		yubikey-manager
Version:	5.0.1
Release:	1
License:	BSD
Group:		Applications/System
Source0:	https://developers.yubico.com/yubikey-manager/Releases/yubikey_manager-%{version}.tar.gz
# Source0-md5:	8686ea7e4d633da9e9318e5e8c22c699
URL:		https://developers.yubico.com/yubikey-manager/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-cryptography
BuildRequires:	python3-fido2 >= 1.0.0
BuildRequires:	python3-mock
BuildRequires:	python3-pyOpenSSL
BuildRequires:	python3-pyscard
BuildRequires:	python3-pyusb
BuildRequires:	python3-six
%endif
Requires:	python3-fido2 >= 1.0.0
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python library and command line tool for configuring a YubiKey.

%description -l pl.UTF-8
Pythonowa biblioteka i narzędzie linii poleceń do konfiguracji
urządzeń YubiKey.

%prep
%setup -q -n yubikey_manager-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} -m unittest discover -s tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.adoc
%attr(755,root,root) %{_bindir}/ykman
%{py3_sitescriptdir}/ykman
%{py3_sitescriptdir}/yubikit
%{py3_sitescriptdir}/yubikey_manager-%{version}-py*.egg-info
%changelog
* Thu Jan 19 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yubikey-manager.git;a=log;h=master

* Wed Jan 18 2023 Jan Palus <atler@pld-linux.org> 848b43c
- up to 5.0.1

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> e0148ef
- macros for %py3_build

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> 6ebcd99
- up to 5.0.0

* Mon Sep 26 2022 Jan Palus <atler@pld-linux.org> 6f441f8
- up to 4.0.9

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9f0c2f5
- Release 5 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 28e5477
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a01c394
- rebuild with python 3.10

* Sun Feb 20 2022 Jan Rękorajski <baggins@pld-linux.org> bb5432e
- Release 2 (by relup.sh)

* Sat Feb 19 2022 Jan Palus <atler@pld-linux.org> 228c7ab
- up to 4.0.8

* Thu Sep 09 2021 Jan Palus <atler@pld-linux.org> dd83550
- up to 4.0.7

* Sun Jul 18 2021 Jan Palus <atler@pld-linux.org> a04edac
- up to 4.0.5

* Tue May 18 2021 Jan Palus <atler@pld-linux.org> 1b316f4
- fix pl description

* Tue May 18 2021 Jan Palus <atler@pld-linux.org> d232708
- up to 4.0.3

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 1b61d76
- up to 4.0.2

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> dfa263e
- up to 4.0.1

* Wed Mar 03 2021 Jan Palus <atler@pld-linux.org> bc0fe9e
- up to 4.0.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 220cf32
- release 2 (by relup.sh)

* Fri Jan 22 2021 Jan Palus <atler@pld-linux.org> f2460ce
- switch to python3

* Fri Jan 22 2021 Jan Palus <atler@pld-linux.org> 6763655
- up to 3.1.2

* Wed Jan 29 2020 Jan Palus <atler@pld-linux.org> 1901a79
- up to 3.1.1

